Subject: Re: Replace send_unreach with icmp_send

From: Patrick McHardy <[email-masked]>
Date: Tue, 15 Mar 2005 21:48:53 +0100

Herbert Xu wrote:
> Well it isn't terribly difficult to create a new version of icmp_send
> that does xrlim conditionally.  icmp_send/ipt_REJECT can then call that
> function.
> 
> The main reason I'm looking at getting rid of send_unreach is because
> having two implementations of the same code often leads to bugs.  In
> fact, as it is there are multiple IPsec-related bugs in the ipt_REJECT
> code.

Ok. I can't see any different reason to keep it, so go ahead. I'll take
care of the xrlim stuff later.

Regards
Patrick